import fastapi
import uvicorn

from source import meta


class Application(fastapi.FastAPI):
    def __init__(self):
        super().__init__(
            title=meta.name,
            description=meta.description
        )

    def serve(self, host: str = "0.0.0.0", port: int = 8080):
        uvicorn.run(self, host=host, port=port)